Subject: Logfile directive missing with BeroFTPD 1.2.3?

From: Roger Hanke <[email-masked]>
Date: Wed, 27 Jan 1999 18:21:54 -0500

Bernhard,
 Thanks for the answer and pointer to the new 
anonymous-root directive.
I had read the ftpaccess man page but had basically still
been using the VIRTUAL.FTP.SUPPORT file for info on 
virtual server setup once I saw you had updated it from 
Kent's original version. Since it still refers to both root
and logfile directives as you can see below, it might be 
worth updating it. So I looked thru the ftpaccess man 
page in advance of my question this time. But still
cant figure out what replaced the logfile directive?
How do I now specify where each virtual server xferlog 
file should be located? Currently they are all defaulting
back to the system xferlog file which means we lost the
nice capability of separating transfers by virtual server
that we had been using.
	Thanks again,
	Roger Hanke

  7.3 Virtual ftpaccess files:
   ----------------------------
   For each virtual domain that you want to support, you have the option
   to create a ftpaccess file specific for that domain. This will
override
   completely what you have in the Master ftpaccess file.  This file
must
   contain all directives. If you do not create an ftpaccess file for a
   specific domain, the domain will use the Master ftpaccess file
settings.

   The only additions to the ftpaccess file that you need to make over a
   non-virtual version is the "root" and "logfile" directives.  These
act
   to assure the proper ftpd root directory is used for each of the
supported
   virtual domains.  The logfile directive is used to specify where you
want
   the transfer logs recorded for that specific virtual domain.  A
sample is
   specfied below.

        root     /ftp
        logfile  /var/log/xferlog

>-----Original Message-----
>From:	Bernhard Rosenkraenzer [SMTP:[email-masked]]
>Sent:	Wednesday, January 27, 1999 7:38 AM
>To:	Roger Hanke
>Cc:	'WUFTPD List'
>Subject:	Re: Anonymous rootdir problem with BeroFTPD 1.2.3
>
>On Tue, 26 Jan 1999, Roger Hanke wrote:
>
>> Only problem is when I use ftp or anonymous to 
>> access the same IP I end up being chrooted to 
>> the home directory of ~ftp as taken from the /etc/passwd
>> file.
>
>Use the anonymous-root directive in your virtual ftpaccess files. (man
>ftpaccess).
>
>LLaP
>bero
>
>-- 
>Windows 98 supports real multitasking - it can boot and crash simultaneously.
>***
>Anyone sending unwanted advertising e-mail to this address will be charged
>$25 for network traffic and computing time. By extracting my address from
>this message or its header, you agree to these terms.
>
>